#  Copyright (C) 2020, 2019 Girish M
#  This program is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation; either version 3 of the License, or
#  (at your option) any later version.
#  
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#  
#  You should have received a copy of the GNU General Public License
#  along with this program; if not, write to the Free Software
#  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston,
#  MA 02110-1301, USA.
# 
'''
    Ask the user for a number and determine whether the number is prime or not.
'''
import math
n = int(input('enter a number: '))
prime = True
if n%2 == 0 and n != 2:
    print('composite because it is even and not two')
    prime = False
if n%2 != 0:
    sq = int(math.sqrt(n))
    for factor in range(3, sq):
        if n%factor == 0:
            
            print('composite, because', factor, 'is a factor of', n)
            prime = False
            break
       
if prime == True:
    print('prime')
    
    
    
